/*
  outgoing.h

  Collection of posted articles.

  $Id: outgoing.h 3 2000-01-04 11:35:42Z enz $
*/

#ifndef OUT_H
#define OUT_H

#include "common.h"
#include "dynamicstring.h"

Bool
Out_add( const char *serv, const Str msgId, const DynStr *artTxt );

/* Start enumeration. Return TRUE on success. */
Bool
Out_first( const char *serv, Str msgId, DynStr *artTxt );

/* Continue enumeration. Return TRUE on success. */
Bool
Out_next( Str msgId, DynStr *s );

/* Delete article from outgoing collection */
void
Out_remove( const char *serv, Str msgId );

#endif
